Index: uspace/app/nav/test/panel.c
===================================================================
--- uspace/app/nav/test/panel.c	(revision 4fcc2dee0dd39ba010093d693f0dfaa897db6f69)
+++ uspace/app/nav/test/panel.c	(revision 01e9991a00c21784a68aecc730376c43f47c81fb)
@@ -59,4 +59,5 @@
 	ui_wnd_params_t params;
 	panel_t *panel;
+	panel_entry_attr_t attr;
 	errno_t rc;
 
@@ -73,5 +74,9 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = panel_entry_append(panel, "a", 1, false);
+	panel_entry_attr_init(&attr);
+	attr.name = "a";
+	attr.size = 1;
+
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -320,15 +325,22 @@
 {
 	panel_t *panel;
-	errno_t rc;
-
-	rc = panel_create(NULL, true, &panel);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "a", 1, false);
+	panel_entry_attr_t attr;
+	errno_t rc;
+
+	rc = panel_create(NULL, true, &panel);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	panel_entry_attr_init(&attr);
+
+	attr.name = "a";
+	attr.size = 1;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
 	PCUT_ASSERT_INT_EQUALS(1, list_count(&panel->entries));
 
-	rc = panel_entry_append(panel, "b", 2, false);
+	attr.name = "b";
+	attr.size = 2;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -343,13 +355,18 @@
 	panel_t *panel;
 	panel_entry_t *entry;
-	errno_t rc;
-
-	rc = panel_create(NULL, true, &panel);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "a", 1, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2, false);
+	panel_entry_attr_t attr;
+	errno_t rc;
+
+	rc = panel_create(NULL, true, &panel);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "a";
+	attr.size = 1;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "b";
+	attr.size = 2;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -373,13 +390,19 @@
 {
 	panel_t *panel;
-	errno_t rc;
-
-	rc = panel_create(NULL, true, &panel);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "a", 1, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2, false);
+	panel_entry_attr_t attr;
+	errno_t rc;
+
+	rc = panel_create(NULL, true, &panel);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	panel_entry_attr_init(&attr);
+	attr.name = "a";
+	attr.size = 1;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "a";
+	attr.size = 2;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -456,16 +479,25 @@
 	panel_t *panel;
 	panel_entry_t *entry;
-	errno_t rc;
-
-	rc = panel_create(NULL, true, &panel);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 1, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "c", 3, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "a", 2, false);
+	panel_entry_attr_t attr;
+	errno_t rc;
+
+	rc = panel_create(NULL, true, &panel);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	panel_entry_attr_init(&attr);
+
+	attr.name = "b";
+	attr.size = 1;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "c";
+	attr.size = 3;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "a";
+	attr.size = 2;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -493,4 +525,5 @@
 	panel_t *panel;
 	panel_entry_t *a, *b;
+	panel_entry_attr_t attr;
 	int rel;
 	errno_t rc;
@@ -499,8 +532,14 @@
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
-	rc = panel_entry_append(panel, "a", 2, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 1, false);
+	panel_entry_attr_init(&attr);
+
+	attr.name = "a";
+	attr.size = 2;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "b";
+	attr.size = 1;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -530,8 +569,11 @@
 	panel_t *panel;
 	panel_entry_t *entry;
-	errno_t rc;
-
-	rc = panel_create(NULL, true, &panel);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+	panel_entry_attr_t attr;
+	errno_t rc;
+
+	rc = panel_create(NULL, true, &panel);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	panel_entry_attr_init(&attr);
 
 	entry = panel_first(panel);
@@ -539,5 +581,7 @@
 
 	/* Add one entry */
-	rc = panel_entry_append(panel, "a", 1, false);
+	attr.name = "a";
+	attr.size = 1;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -549,5 +593,7 @@
 
 	/* Add another entry */
-	rc = panel_entry_append(panel, "b", 2, false);
+	attr.name = "b";
+	attr.size= 2;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -566,8 +612,11 @@
 	panel_t *panel;
 	panel_entry_t *entry;
-	errno_t rc;
-
-	rc = panel_create(NULL, true, &panel);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+	panel_entry_attr_t attr;
+	errno_t rc;
+
+	rc = panel_create(NULL, true, &panel);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	panel_entry_attr_init(&attr);
 
 	entry = panel_last(panel);
@@ -575,5 +624,7 @@
 
 	/* Add one entry */
-	rc = panel_entry_append(panel, "a", 1, false);
+	attr.name = "a";
+	attr.size = 1;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -585,5 +636,7 @@
 
 	/* Add another entry */
-	rc = panel_entry_append(panel, "b", 2, false);
+	attr.name = "b";
+	attr.size = 2;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -591,4 +644,6 @@
 	entry = panel_last(panel);
 	PCUT_ASSERT_NOT_NULL(entry);
+	attr.name = "b";
+	attr.size = 2;
 	PCUT_ASSERT_STR_EQUALS("b", entry->name);
 	PCUT_ASSERT_INT_EQUALS(2, entry->size);
@@ -602,11 +657,16 @@
 	panel_t *panel;
 	panel_entry_t *entry;
-	errno_t rc;
-
-	rc = panel_create(NULL, true, &panel);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+	panel_entry_attr_t attr;
+	errno_t rc;
+
+	rc = panel_create(NULL, true, &panel);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	panel_entry_attr_init(&attr);
 
 	/* Add one entry */
-	rc = panel_entry_append(panel, "a", 1, false);
+	attr.name = "a";
+	attr.size = 1;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -619,5 +679,7 @@
 
 	/* Add another entry */
-	rc = panel_entry_append(panel, "b", 2, false);
+	attr.name = "b";
+	attr.size = 2;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -639,11 +701,16 @@
 	panel_t *panel;
 	panel_entry_t *entry;
-	errno_t rc;
-
-	rc = panel_create(NULL, true, &panel);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+	panel_entry_attr_t attr;
+	errno_t rc;
+
+	rc = panel_create(NULL, true, &panel);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	panel_entry_attr_init(&attr);
 
 	/* Add one entry */
-	rc = panel_entry_append(panel, "a", 1, false);
+	attr.name = "a";
+	attr.size = 1;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -656,5 +723,7 @@
 
 	/* Add another entry */
-	rc = panel_entry_append(panel, "b", 2, false);
+	attr.name = "b";
+	attr.size = 2;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -683,4 +752,5 @@
 	ui_wnd_params_t params;
 	panel_t *panel;
+	panel_entry_attr_t attr;
 	gfx_rect_t rect;
 	errno_t rc;
@@ -707,11 +777,20 @@
 
 	/* Add tree entries (more than page size, which is 2) */
-	rc = panel_entry_append(panel, "a", 1, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "c", 3, false);
+
+	panel_entry_attr_init(&attr);
+
+	attr.name = "a";
+	attr.size = 1;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "b";
+	attr.size = 2;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "c";
+	attr.size = 3;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -764,4 +843,5 @@
 	ui_wnd_params_t params;
 	panel_t *panel;
+	panel_entry_attr_t attr;
 	gfx_rect_t rect;
 	errno_t rc;
@@ -788,11 +868,20 @@
 
 	/* Add tree entries (more than page size, which is 2) */
-	rc = panel_entry_append(panel, "a", 1, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "c", 3, false);
+
+	panel_entry_attr_init(&attr);
+
+	attr.name = "a";
+	attr.size = 1;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "b";
+	attr.size = 2;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "c";
+	attr.size = 3;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -847,4 +936,5 @@
 	ui_wnd_params_t params;
 	panel_t *panel;
+	panel_entry_attr_t attr;
 	gfx_rect_t rect;
 	errno_t rc;
@@ -871,11 +961,20 @@
 
 	/* Add tree entries (more than page size, which is 2) */
-	rc = panel_entry_append(panel, "a", 1, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "c", 3, false);
+
+	panel_entry_attr_init(&attr);
+
+	attr.name = "a";
+	attr.size = 1;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "b";
+	attr.size = 2;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "c";
+	attr.size = 3;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -908,4 +1007,5 @@
 	ui_wnd_params_t params;
 	panel_t *panel;
+	panel_entry_attr_t attr;
 	gfx_rect_t rect;
 	errno_t rc;
@@ -932,11 +1032,20 @@
 
 	/* Add tree entries (more than page size, which is 2) */
-	rc = panel_entry_append(panel, "a", 1, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "c", 3, false);
+
+	panel_entry_attr_init(&attr);
+
+	attr.name = "a";
+	attr.size = 1;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "b";
+	attr.size = 2;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "c";
+	attr.size = 3;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -970,4 +1079,5 @@
 	ui_wnd_params_t params;
 	panel_t *panel;
+	panel_entry_attr_t attr;
 	gfx_rect_t rect;
 	errno_t rc;
@@ -994,17 +1104,30 @@
 
 	/* Add five entries (2 full pages, one partial) */
-	rc = panel_entry_append(panel, "a", 1, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "c", 3, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "d", 4, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "e", 5, false);
+
+	panel_entry_attr_init(&attr);
+
+	attr.name = "a";
+	attr.size = 1;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "b";
+	attr.size = 2;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "c";
+	attr.size = 3;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "d";
+	attr.size = 4;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "e";
+	attr.size = 5;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
@@ -1058,4 +1181,5 @@
 	ui_wnd_params_t params;
 	panel_t *panel;
+	panel_entry_attr_t attr;
 	gfx_rect_t rect;
 	errno_t rc;
@@ -1082,17 +1206,30 @@
 
 	/* Add five entries (2 full pages, one partial) */
-	rc = panel_entry_append(panel, "a", 1, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "b", 2, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "c", 3, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "d", 4, false);
-	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
-
-	rc = panel_entry_append(panel, "e", 5, false);
+
+	panel_entry_attr_init(&attr);
+
+	attr.name = "a";
+	attr.size = 1;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "b";
+	attr.size = 2;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "c";
+	attr.size = 3;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "d";
+	attr.size = 4;
+	rc = panel_entry_append(panel, &attr);
+	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
+
+	attr.name = "e";
+	attr.size = 5;
+	rc = panel_entry_append(panel, &attr);
 	PCUT_ASSERT_ERRNO_VAL(EOK, rc);
 
